astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- RotateNative2Celestial

# RotateNative2Celestial

class `astropy.modeling.rotations.``RotateNative2Celestial`

  Bases: `astropy.modeling.rotations._SkyRotation`

  Transform from Native to Celestial Spherical Coordinates.

  Parameters:

  lon : float

  > Celestial longitude of the fiducial point.

  lat : float

  > Celestial latitude of the fiducial point.

  lon_pole : float

  > Longitude of the celestial pole in the native system.

  Attributes Summary

  `inputs` |
  `outputs` |
  `param_names` |

  Methods Summary

  `__call__`(phi_N, theta_N[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(phi_N, theta_N, lon, lat, lon_pole) | Rotate native spherical coordinates into celestial coordinates.

  Attributes Documentation

  `inputs` = (u'phi_N', u'theta_N')
  `outputs` = (u'alpha_C', u'delta_C')
  `param_names` = ('lon', 'lat', 'lon_pole')

  Methods Documentation

  `__call__`(phi_N, theta_N, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  classmethod `evaluate`(phi_N, theta_N, lon, lat, lon_pole)

    Rotate native spherical coordinates into celestial coordinates.